Bug 508677 - DNS setup fails for multiple DNS servers
DNS setup fails for multiple DNS servers
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike Burns
:
Depends On:
Blocks: 508400
  Show dependency treegraph
 
Reported: 2009-06-29 09:15 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-18 09:28:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2009-06-29 09:15:19 EDT
Description of problem:
When setting up DNS, trying to setup multiple servers failed.  Assuming dns
servers are 1.1.1.1 and 1.1.1.2, I tried both of the following combinations:

1.1.1.1,1.1.1.2 and 1.1.1.1, 1.1.1.2.  In both cases, after applying the
changes, /etc/resolv.conf was empty.  When trying with just one, the changes
were applied correctly

Version-Release number of selected component (if applicable):
5.4-2.0.99.8.2.el5rhev

How reproducible:
Always

Steps to Reproduce:
1. PXE node onto fresh server
2. go into network setup
3. Choose static IP
4. Setup IP, Mask, Gateway
5. Choose DNS setup
6. enter DNS servers using formats above
7. Commit changes

Actual results:
/etc/resolv.conf is empty.  Cannot ping by name

Expected results:
/etc/resolv.conf contains nameserver entries for both dns servers mentioned.  
Ping by name succeeds

Additional info:
The input method for DNS servers should follow the same method used for NTP
servers.  It should take each on a separate line and force exit after 2 are
entered.
Comment 1 Mike Burns 2011-11-18 09:28:03 EST
Fixed in current version.  TUI has separate entry locations for each server

Note You need to log in before you can comment on or make changes to this bug.